Package org.eclipse.lemminx.client

## Class ExtendedCodeLensCapabilities

- java.lang.Object
- - org.eclipse.lsp4j.DynamicRegistrationCapabilities
  - - org.eclipse.lemminx.client.ExtendedCodeLensCapabilities

    public class ExtendedCodeLensCapabilities
    extends org.eclipse.lsp4j.DynamicRegistrationCapabilities

Extended capabilities specific to the `textDocument/codeLens` request. This capability doesn't belong to LSP specification. See proposal at https://github.com/microsoft/language-server-protocol/issues/788

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`ExtendedCodeLensCapabilities()`
`ExtendedCodeLensCapabilities​(Boolean dynamicRegistration)`
`ExtendedCodeLensCapabilities​(CodeLensKindCapabilities codeLensKind)`
`ExtendedCodeLensCapabilities​(CodeLensKindCapabilities codeLensKind, Boolean dynamicRegistration)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`CodeLensKindCapabilities` `getCodeLensKind()` Specific capabilities for the `CodeLensKind` in the `textDocument/codeLens` request.
`int` `hashCode()`
`void` `setCodeLensKind​(CodeLensKindCapabilities codeLensKind)` Specific capabilities for the `CodeLensKind` in the `textDocument/codeLens` request.
`String` `toString()`

### Methods inherited from class org.eclipse.lsp4j.DynamicRegistrationCapabilities

`getDynamicRegistration, setDynamicRegistration`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExtendedCodeLensCapabilities

    public ExtendedCodeLensCapabilities()

#### ExtendedCodeLensCapabilities

    public ExtendedCodeLensCapabilities​(Boolean dynamicRegistration)

#### ExtendedCodeLensCapabilities

    public ExtendedCodeLensCapabilities​(CodeLensKindCapabilities codeLensKind)

#### ExtendedCodeLensCapabilities

    public ExtendedCodeLensCapabilities​(CodeLensKindCapabilities codeLensKind,
                                        Boolean dynamicRegistration)

### Method Detail

#### getCodeLensKind

    public CodeLensKindCapabilities getCodeLensKind()

Specific capabilities for the `CodeLensKind` in the `textDocument/codeLens` request.

#### setCodeLensKind

    public void setCodeLensKind​(CodeLensKindCapabilities codeLensKind)

Specific capabilities for the `CodeLensKind` in the `textDocument/codeLens` request.

#### toString

    public String toString()

Overrides:
  `toString` in class `org.eclipse.lsp4j.DynamicRegistrationCapabilities`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `org.eclipse.lsp4j.DynamicRegistrationCapabilities`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `org.eclipse.lsp4j.DynamicRegistrationCapabilities`